MKTEMP(1)

NOM
mktemp - Créer un fichier ou un répertoire temporaire

SYNOPSIS
mktemp [OPTION]... [MODÈLE]

DESCRIPTION

Créer un fichier ou un répertoire temporaire, de façon sûre, et afficher son nom. MODÈLE doit avoir au moins 3 « X » consécutifs à la fin. Si MODÈLE n'est pas indiqué, tmp.XXXXXXXXXX sera utilisé et --tmpdir est implicitement fournie. Les fichiers sont créés avec le mode u+rw et les dossiers avec le mode u+rwx, sur lequel est appliqué l'umask.

-d, --directory
    créer un répertoire, au lieu d'un fichier

-u, --dry-run
    ne rien créer ; n'afficher qu'un nom (n'est pas sûr)

-q, --quiet
    supprimer le diagnostique sur les échecs de création de fichiers ou répertoires

--suffix=SUFFIXE
    Ajouter SUFFIXE à la fin du MODÈLE. SUFFIXE ne doit pas contenir de barre oblique (« / »). Cette option est sous entendue si MODÈLE ne se termine pas par un X.

--tmpdir[=RÉP]
    interpréter MODÈLE relativement à RÉP. Si RÉP n'est pas indiqué, utiliser $TMPDIR si cette variable est définie, sinon /tmp. Avec cette option, MODÈLE ne doit pas être un nom absolu. Contrairement à -t, MODÈLE peut contenir des barres obliques (« / »), mais mktemp ne crée que le composant final.

-p RÉP
    utiliser RÉP comme préfixe ; implique -t (obsolète)

-t  interpréter MODÈLE comme un seul composant de nom de fichier, relativement à un répertoire : $TMPDIR si cette variable est définie, sinon par rapport au répertoire indiqué par -p, et sinon par rapport à /tmp (obsolète).

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

AUTEUR
Écrit et développé par Jim Meyering et Eric Blake.

SIGNALER DES BOGUES
Signaler toute anomalie de mktemp à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de mktemp à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
mkstemp(3), mkdtemp(3), mktemp(3)

La documentation complète pour mktemp est disponible dans un manuel Texinfo. Si les programmes info et mktemp sont correctement installés sur votre système, la commande

    info coreutils 'mktemp invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Nicolas François <nicolas.francois@centraliens.net> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.